Made Faraday cage box from copper plates and mesh.

Now have properly grounded the ASDQs using standoffs mounted on copper plate.

Bench top power supply used.

Data taken through slow control interface.

Only one TDC present using TDC motherboard with termination resistors put on by hand.
